package net.knarcraft.minstrel;

import net.citizensnpcs.api.CitizensAPI;
import org.bukkit.Bukkit;
import org.bukkit.SoundCategory;
import org.bukkit.plugin.PluginManager;
import org.bukkit.plugin.java.JavaPlugin;

import java.util.ArrayList;
import java.util.List;

/**
 * The main class of this plugin
 */
public final class MinstrelPlugin extends JavaPlugin {

    private static MinstrelPlugin instance;
    private static Playlist testPlaylist;

    @Override
    public void onEnable() {
        // Plugin startup logic
        instance = this;

        //Register the blacksmith trait with Citizens
        CitizensAPI.getTraitFactory().registerTrait(
                net.citizensnpcs.api.trait.TraitInfo.create(MinstrelTrait.class).withName("minstrel"));

        Song testSong = new Song(SoundCategory.RECORDS, "minecraft:records.custom.medieval_3_g_mixolydian", 114);
        List<Song> songs = new ArrayList<>();
        songs.add(testSong);
        testPlaylist = new Playlist(songs, true);

        PluginManager pluginManager = Bukkit.getPluginManager();
        pluginManager.registerEvents(new PlayerListener(), this);
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
        //TODO: Stop all songs in all playlists
    }

    /**
     * Gets the playlist which is currently hard-coded for testing
     *
     * @return <p>The test playlist</p>
     */
    public static Playlist getTestPlaylist() {
        return testPlaylist;
    }

    /**
     * Gets an instance of this plugin
     *
     * @return <p>An instance of this plugin</p>
     */
    public static MinstrelPlugin getInstance() {
        return instance;
    }

}
