package net.knarcraft.minstrel;

import net.citizensnpcs.api.trait.Trait;
import net.citizensnpcs.api.util.DataKey;
import org.bukkit.Location;

/**
 * The minstrel trait itself, which contains all NPC data for this trait
 */
public class MinstrelTrait extends Trait {

    public MinstrelTrait() {
        super("minstrel");
    }

    /**
     * Gets the location of this minstrel
     *
     * @return <p>The location of this minstrel</p>
     */
    public Location getLocation() {
        return this.getNPC().getStoredLocation();
    }

    /**
     * Loads all config values stored in citizens' config file for this NPC
     *
     * @param key <p>The data key used for the config root</p>
     */
    @Override
    public void load(DataKey key) {
        //TODO: Actually load the playlist set to this minstrel
        MinstrelPlugin.getTestPlaylist().play(this);
    }

    public float getVolume() {
        return 1F;
    }

    public float getPitch() {
        return 1F;
    }

}
